terraform {
  required_version = ">= 1.0.0"

  required_providers {
    kubernetes-alpha = {
      source = "hashicorp/kubernetes-alpha"
      version = "0.5.0"
    }
  }
}

provider "kubernetes-alpha" {
  config_path = "~/.kube/config"
  config_context = "aks-sbox"
}

resource "kubernetes_manifest" "trillu_crd" {
  provider = kubernetes-alpha

  manifest = yamldecode(file("./Trillucination_CRD.yaml"))
}


resource "kubernetes_manifest" "trillu_instance" {
  provider = kubernetes-alpha

  manifest = yamldecode(file("./Trillucination_EagleNebula.yaml"))

  depends_on = [
    kubernetes_manifest.trillu_crd
  ]
}
